Subject: RE: Less fails with link error
From: David Balazic <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Wed, 6 Aug 2003 18:48:56 +0200

> ----------
> From: 	Ronald
> Landheer-Cieslak[SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	6. avgust 2003 18:58
> To: 	David Balazic
> Cc: 	[email-masked]
> Subject: 	Re: Less fails with link error
> 
> On Wed, Aug 06, 2003 at 06:07:32PM +0200, David Balazic wrote:
> > > Cycling through the versions is a dangerous thing these days - you
> should
> > > only
> > Is there any other way to get from some version selection back to "Skip"
> ?
> > If it is dangerous, then it should be disabled or accompanied with a
> > warning.
> Nope - but you usually don't want to do that :) - you only want to do that
> if
> what you have is working..
I don't understand what you are saying.

> > > do it if you know what you're doing. The version Setup proposes is the
> one
> > > you
> > > should normally use, because it's the one the maintainer wants you to
> use.
> > > The
> > > maintainer is usually right about what you should use..
> > There was no note saying that the maintainer prefers one version over
> > another.
> > They all were offered to choose from.
> Of course, but the one proposed by default by Setup is the one the
> maintainer
> prefers.. otherwise, Setup would propose something else..
> 
What do you mean by proposed ?
As I said, they were all "equal" and the default selection was "Skip" ( or
whatever
is the default "do not install" setting )

> > > > > You used Setup to install, didn't you?
> > > > yes.
> > > > > Use cygcheck to get the version of less, then :)
> > > > I llearned something new.
> > > > rpm would catch the incompatibility though :-)
> > > versioned dependencies in Setup are a work-in-progress *and* require
> the 
> > > maintainers to put them in the setup.hint files. Neither is magic.
> > > 
> > > IIRC, rpm doesn't use any wizzardry either: versioned dependencies are
> the
> > > maintainer's job.
> > > 
> > > As for the state of progress on versioned dependencies in Setup
> (before
> > > you 
> > > ask) IIRC it needs testing more than anything else - but one of the
> Setup
> > > people will surely correct me if I'm wrong..
> > > 
> > Well I guess I just tested it :-)
> Nope, you didn't, unless you added the versioned dependency to setup.hint,
> 
> regenerated setup.ini, etc.
> 
No, I tested it and it failed the test due to missing config data. :-)

> cgf asked this thread to stop - let's do that :)
OK
> rlc
> 
> -- 
> Beam me up, Scotty!  It ate my phaser!
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/